Re: [one-users] @installation problem

2015-02-06 Thread Steven C Timm
Which linux distribution are you running on?

Steve


From: Users [users-boun...@lists.opennebula.org] on behalf of anagha b 
[banag...@gmail.com]
Sent: Friday, February 06, 2015 12:42 PM
To: Users@lists.opennebula.org
Subject: [one-users] @installation problem

Hi,

I am trying to intall opennebula-3.8.3  and got following error

oneadmin@x:~/opennebula-3.8.3$ scons sqlite=no mysql=yes
scons: Reading SConscript files ...
Testing recipe: pkg-config
  Error calling pkg-config xmlrpc_server_abyss++ --static --libs
Testing recipe: xmlrpc-c-config
/usr/lib/ruby/1.8/fileutils.rb:243:in `mkdir': Permission denied - .xmlrpc_test 
(Errno::EACCES)
from /usr/lib/ruby/1.8/fileutils.rb:243:in `fu_mkdir'
from /usr/lib/ruby/1.8/fileutils.rb:217:in `mkdir_p'
from /usr/lib/ruby/1.8/fileutils.rb:215:in `reverse_each'
from /usr/lib/ruby/1.8/fileutils.rb:215:in `mkdir_p'
from /usr/lib/ruby/1.8/fileutils.rb:201:in `each'
from /usr/lib/ruby/1.8/fileutils.rb:201:in `mkdir_p'
from share/scons/get_xmlrpc_config:209:in `gen_test_file'
from share/scons/get_xmlrpc_config:225:in `test_config'
from share/scons/get_xmlrpc_config:240:in `search_config'
from share/scons/get_xmlrpc_config:239:in `each'
from share/scons/get_xmlrpc_config:239:in `search_config'
from share/scons/get_xmlrpc_config:251

Error searching for xmlrpc-c libraries. Please check this things:

 * You have installed development libraries for xmlrpc-c. One way to check
   this is calling xmlrpc-c-config that is provided with the development
   package.
 * Check that the version of xmlrpc-c is at least 1.06. You can do this also
   calling:
   $ xmlrpc-c-config --version
 * If all this requirements are already met please send log files located in
   .xmlrpc_test to the mailing list.



plz help
___
Users mailing list
Users@lists.opennebula.org
http://lists.opennebula.org/listinfo.cgi/users-opennebula.org


Re: [one-users] @installation problem

2015-02-06 Thread Daniel Dehennin
anagha b banag...@gmail.com writes:

 Hi,

Hello,

 I am trying to intall opennebula-3.8.3  and got following error

[...]

I think the first thing the OpenNebula team will tell you is that 3.8 is
old and you should get the 4.10.2[1].

Regards.

Footnotes: 
[1]  http://opennebula.org/software/

-- 
Daniel Dehennin
Récupérer ma clef GPG: gpg --recv-keys 0xCC1E9E5B7A6FE2DF
Fingerprint: 3E69 014E 5C23 50E8 9ED6  2AAD CC1E 9E5B 7A6F E2DF


signature.asc
Description: PGP signature
___
Users mailing list
Users@lists.opennebula.org
http://lists.opennebula.org/listinfo.cgi/users-opennebula.org


Re: [one-users] Installation Problem, CentOS 5.5 x86_64, opennebula 2.0.1 / 2.2

2011-05-05 Thread Jaime Melis
Hi,

I'm afraid we haven't been able to reproduce that bug. In our case, using a
similar environment it does compile. Are you still experiencing this? any
extra clues that might help?

regards,
Jaime

2011/4/21 蒋清野 jiangqingye2...@tianya.cn

 Hi,

 I am having problem installing opennebula onto CentOS 5.5 x86_64. Please
 kindly help.

 First of all, this is a freshly installed CentOS 5.5 x86_64 on a 64bit
 system. The selected components are Server and Virtualization.

 Second, I did read and followed the instructions at the following URL:

 *http://opennebula.org/documentation:rel2.0:notes

 Third, I have also followed this thread, with no luck:

 http://lists.opennebula.org/htdig.cgi/users-opennebula.org/2010-October/003111.html

 Therefore I think it would be better for me to describe my installation 
 procedures, so that you guys could help.

 The following operations were executed by root.

 (1) Install a CentOS 5.5 x86_64 system, with Server and Virtualization as 
 the selected components. Then login as root.

 (2) Setup CentOS Karan Depo

 *# cd /etc/yum.repos.d
 # wget http://centos.karan.org/kbsingh-CentOS-Extras.repo

 Edit kbsingh-CentOS-Extras.repo and set enabled=1 for kbs-CentOS-Testing.

 # yum update

 (3) Install the many packages

 # yum install gcc gcc-c++ make openssl-devel flex bison
 # yum install ruby ruby-devel ruby-docs ruby-ri ruby-irb ruby-rdoc
 # yum install rubygems
 # gem install nokogiri rake xmlparser
 # yum install scons
 # yum install xmlrpc-c xmlrpc-c-devel

 (4) Install sqlite 3.6.17

 # wget http://www.sqlite.org/sqlite-amalgamation-3.6.17.tar.gz
 # tar xvzf sqlite-amalgamation-3.6.17.tar.gz
 # cd sqlite-3.6.17/
 # ./configure; make; make install

 (5) Setup directories, groups, and users

 # mkdir -p /srv/cloud/one
 # mkdir -p /srv/cloud/images
 # groupadd cloud
 # useradd -d /srv/cloud/one -g cloud -m oneadmin

 (6) Download opennebula-2.2.tar.gz, unpack into /tmp/opennebula-2.2
 directory, and compile

 # scons

 scons: Reading SConscript files ...
 Testing recipe: pkg-config
   Error calling pkg-config xmlrpc_server_abyss++ --static --libs
 Testing recipe: xmlrpc-c-config
   Error calling xmlrpc-c-config c++2 abyss-server --libs --cflags
 Testing recipe: mixed hardcoded libraries and xmlrpc-c-config (debian lenny)
   Error calling xmlrpc-c-config c++2 abyss-server --libs --cflags
 Testing recipe: hardcoded libraries for Mac OS X (installed using port)
 g++ .xmlrpc_test/xmlrpc_test.28bf26.cc -o 
 .xmlrpc_test/xmlrpc_test.28bf26.cc.out
  -I/opt/local/include -L/opt/local/lib -lwwwxml -lxmltok -lxmlparse -lwwwzip 
 -lw
 wwinit -lwwwapp -lwwwtelnet -lwwwhtml -lwwwnews -lwwwhttp -lwwwmime 
 -lwwwgopher
 -lwwwftp -lwwwfile -lwwwdir -lwwwcache -lwwwstream -lwwwmux -lwwwtrans 
 -lwwwcore
  -lwwwutils -lmd5 -ldl -lz -lpthread -lxmlrpc_client++ -lxmlrpc_client 
 -lxmlrpc+
 + -lxmlrpc -lxmlrpc_util -lxmlrpc_xmlparse -lxmlrpc_xmltok 
 -lxmlrpc_server_abyss
 ++ -lxmlrpc_server++ -lxmlrpc_server_abyss -lxmlrpc_server -lxmlrpc_abyss 
 1.xm
 lrpc_test/xmlrpc_test.28bf26.cc.log 21


 Error searching for xmlrpc-c libraries. Please check this things:

  * You have installed development libraries for xmlrpc-c. One way to check
this is calling xmlrpc-c-config that is provided with the development
package.
  * Check that the version of xmlrpc-c is at least 1.06. You can do this also
calling:
$ xmlrpc-c-config --version
  * If all this requirements are already met please send log files located in
.xmlrpc_test to the mailing list.

 TypeError: 'str' object is not callable:
   File /tmp/opennebula-2.2/SConstruct, line 151:
 exit(-1)


 (7) Try the following resolution


 http://lists.opennebula.org/htdig.cgi/users-opennebula.org/2010-October/003118.html

 # wget 
 http://centos.karan.org/el5/extras/testing/SRPMS/xmlrpc-c-1.06.18-1.el5.kb.src.rpm
 # rpmbuild --rebuild xmlrpc-c-1.06.18-1.el5.kb.src.rpm
 # cd /usr/src/redhat/RPMS/x86_64/
 # rpm -i xmlrpc-c-1.06.18-1.x86_64.rpm
 # rpm -i xmlrpc-c-devel-1.06.18-1.x86_64.rpm

 Try again, failed with the same error messages.

 (8) Try the binary packages, 2.0-1 and 2.2-1 have the same problem.

 bash-3.2# yum localinstall --nogpgcheck opennebula-2.0-1.x86_64.rpm
 Loaded plugins: fastestmirror
 Setting up Local Package Process
 Examining opennebula-2.0-1.x86_64.rpm: opennebula-2.0-1.x86_64
 Marking opennebula-2.0-1.x86_64.rpm to be installed
 Loading mirror speeds from cached hostfile
  * addons: ftp.monash.edu.au
  * base: ftp.monash.edu.au
  * epel: mirror.aarnet.edu.au
  * extras: ftp.monash.edu.au
  * updates: ftp.monash.edu.au
 Resolving Dependencies
 -- Running transaction check
 --- Package opennebula.x86_64 0:2.0-1 set to be updated
 -- Processing Dependency: libxmlrpc++.so.3()(64bit) for package: opennebula
 -- Processing Dependency: libxmlrpc_client++.so.3()(64bit) for package: 
 openneb
 ula
 -- Processing Dependency: libxmlrpc_server++.so.3()(64bit) for package: 
 openneb
 ula
 -- Processing Dependency: